USE 109 KEY 2
JOIN 47 TO 109 INTO CODART==CODART
JOIN MAG TO 109 ALIAS 500 INTO CODTAB==CODMAG[1,3]
JOIN MAG TO 109 ALIAS 501 INTO CODTAB==CODMAG
JOIN GMC TO 47 ALIAS 400 INTO CODTAB==GRMERC[1,3]
JOIN GMC TO 47 ALIAS 401 INTO CODTAB==GRMERC
JOIN 49 TO 47 INTO CODART==CODART
END
	
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    49->* "Unit di misura articoli"
END

GENERAL
BEGIN
    OFFSET 0 0
    FONT "Courier New"
    SIZE 8
    CARATTERE "X"
    INIZIALE 5 2
    FINALE 133
END

SECTION HEADER ODD 5

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  120 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  137 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
 KEY "Intestazione stampa"
 PROMPT  45 2 "Stampa dati storici giacenze"
END

STRINGA 5 146
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
END

	LIST 666 1
	BEGIN
	  PROMPT 1 1 ""
		FLAG "H"
	  KEY "FLAG GIACENZA"
		ITEM "0|0"
		MESSAGE HIDE,14|DISABLE,BO->47
		ITEM "1|1"
		MESSAGE SHOW,14|ENABLE,BO->47
	END

	LIST 667 1
	BEGIN
	  PROMPT 1 1 ""
		FLAG "H"
	  KEY "FLAG SOTTOSCORTA"
		ITEM "0|0"
		MESSAGE HIDE,15|DISABLE,BO->48
		ITEM "1|1"
		MESSAGE SHOW,15|ENABLE,BO->48
	END

	STRINGA 6 20
	BEGIN
	  KEY "H1"
		PROMPT 2 4 "Codice"
	END
	STRINGA 7 40
	BEGIN
	  KEY "H1"
		PROMPT 24 4 "Descrizione"
	END
	STRINGA 7 40
	BEGIN
	  KEY "H1"
		PROMPT 45 4 "UM"
	END
	STRINGA 8 12
	BEGIN
	  KEY "H1"
		PROMPT 55 4 "Acq."
	END
	STRINGA 9 12
	BEGIN
	  KEY "H1"
		PROMPT 68 4 "Val.Acq."
	END
	STRINGA 10 12
	BEGIN
	  KEY "H1"
		PROMPT 81 4 "Ven."
	END
	STRINGA 11 12
	BEGIN
	  KEY "H1"
		PROMPT 94 4 "Val.Ven."
	END
	STRINGA 12 12
	BEGIN
	  KEY "H1"
		PROMPT 107 4 "Rim."
	END
	STRINGA 13 12
	BEGIN
	  KEY "H1"
		PROMPT 120 4 "Val.Rim."
	END
	STRINGA 14 12
	BEGIN
	  KEY "H1"
		PROMPT 133 4 "Giac."
	END
	STRINGA 15 12
	BEGIN
		KEY "H1"
		PROMPT 131 4 "Scorta-Giac."
	END

	STRINGA 17 146
	BEGIN
	  KEY "Separatore (iniziale)"
	  PROMPT 1 5 "------------------------------------------------------------------------------------------------------------------------------------------------------"
	END


END

SECTION BODY ODD 0 COLUMNWISE

	LIST 555 1
	BEGIN
	  PROMPT 1 1 ""
		FLAG "H"
	  KEY "FLAG VALORI MEDI"
		ITEM "0|N"
		MESSAGE SHOW,10@|DISABLE,11@
		ITEM "1|Y"
		MESSAGE HIDE,10@|ENABLE,11@
	END

 SECTION HEADER_MAGAZZINO 1 1 1 GROUP 
	STRINGA 10 12 2
	BEGIN
	  KEY "magazzino" 
	  PROMPT 2 1 ""
	  FIELD CODMAG[1,3]
	END

	STRINGA 11 12 2
	BEGIN
	  KEY "magazzino" 
	  PROMPT 3 1 ""
	  FIELD 500@->s0
		MESSAGE RESET,4@|COPY,450
	END
 END

 SECTION GRUPPI_MAGAZZINO 1 1 0 FILE 109 GROUP CODMAG[1,3]

		SECTION HEADER_DEPOSITO 1 1 1 GROUP 
			STRINGA 21 8 1
			BEGIN
				KEY "CODICE"
					PROMPT 2 1 "Deposito"
			END
			STRINGA 22 34 1
			BEGIN
				KEY "descr"
				PROMPT 3 1 ""
					FIELD 501@->s0
				MESSAGE RESET,3@|COPY,350
			END
		END

		SECTION GRUPPI_DEPOSITO 1 0 0 FILE 109 GROUP CODMAG[4,5]
			STRINGA 30 21 1
			BEGIN
				FLAGS "H"
			  KEY "codice ARTICOLO" 
			  PROMPT 2 1 " Articolo:"
			  FIELD 47->CODART
				MESSAGE COPY,251
			END
			STRINGA 31 21 1
			BEGIN
				FLAGS "H"
			  KEY "codice ARTICOLO" 
			  PROMPT 3 1 ""
			  FIELD 47->DESCR
				MESSAGE RESET,2@|COPY,250
			END
		SECTION GRUPPI_ARTICOLO 1 0 0 FILE 109 GROUP CODART
			STRINGA 40 40 1
			BEGIN
				FLAGS "H"
			  KEY "livgiac" 
			  PROMPT 3 1 ""
				MESSAGE _USER,GRUPPOGIAC|RESET,1@|COPY,150
			END

			SECTION GRUPPI_LIVELLO_GIACENZE 1 0 0 FILE 109 GROUP LIVELLO
			SECTION RIGHE_LIVELLI 0 1 1 GROUP
				STRINGA 51 5 2
				BEGIN
					KEY "CODICE"
					PROMPT 2 1 ""    
				END
				STRINGA 52 37 2
				BEGIN
					KEY "descr"
					PROMPT 3 1 ""
					MESSAGE _USER,LIVELLIGIAC
				END
				STRINGA 53 3
				BEGIN
					KEY "UM"
					PROMPT 5 1 ""
					FIELD 49->UM
				END
				NUMERO 41 12
				BEGIN
					KEY "ACQ"
					PROMPT 6 1 ""
					FIELD 109->ACQ
					PICTURE "########,@#"
					MESSAGE ADD,141
				END
				NUMERO 42 12
				BEGIN
					KEY "VALACQ"
					PROMPT 7 1 ""
					FIELD 109->VALACQ
					PICTURE "###.###.##@"
					MESSAGE ADD,142
					GROUP 10
				END
				NUMERO 82 12
				BEGIN
					KEY "VALACQ"
					PROMPT 7 1 ""
					PICTURE "#######,@##"
					MESSAGE _NUMEXPR,109->VALACQ/109->ACQ 
					GROUP 11
				END
	
				NUMERO 43 12
				BEGIN
					KEY "VEN"
					PROMPT 8 1 ""
					FIELD 109->VEN
					PICTURE "########,@#"
					MESSAGE ADD,143
				END
				NUMERO 44 12
				BEGIN
					KEY "VALV"
					PROMPT 9 1 ""
					FIELD 109->VALVEN
					PICTURE "###.###.##@"
					MESSAGE ADD,144
					GROUP 10
				END
				NUMERO 84 12
				BEGIN
					KEY "VALV"
					PROMPT 9 1 ""
					PICTURE "#######,@##"
					MESSAGE _NUMEXPR,109->VALVEN/109->VEN 
					GROUP 11
				END

				NUMERO 45 12
				BEGIN
					KEY "RIM"
					PROMPT 10 1 ""
					FIELD 109->RIM
					PICTURE "########,@#"
					MESSAGE ADD,145
				END
				NUMERO 46 12
				BEGIN
					KEY "VALrim"
					PROMPT 11 1 ""
					PICTURE "###.###.##@"
					FIELD 109->VALRIM
					MESSAGE ADD,146
					GROUP 10
				END
				NUMERO 86 12
				BEGIN
					KEY "VALrim"
					PROMPT 11 1 ""
					PICTURE "#######,@##"
					MESSAGE _NUMEXPR,109->VALRIM/109->RIM
					GROUP 11
				END

				NUMERO 47 12
				BEGIN
					KEY "giac"
					PROMPT 12 1 ""
					FIELD 109->GIAC
					PICTURE "#######@,@#"
					MESSAGE ADD,147
				END
				NUMERO 48 12
				BEGIN
					KEY "scorta-giac"
					PROMPT 12 1 ""
					PICTURE "#######@,@#"
					MESSAGE _NUMEXPR,109->SCORTAMIN-109->GIAC|ADD,147
				END
			END // SECTION GROUP LIVELLI
			END // LOOP LIVELLI

			SECTION TOTALI_LIVELLO_GIAC 1 2 2 GROUP
				STRINGA 777 
				BEGIN
					KEY ""
					PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
				END

				STRINGA 150 35 2
				BEGIN
				  KEY "LIVGIAC" 
				  PROMPT 3 2 ""
				END
				STRINGA 151 7 2
				BEGIN
				  KEY "livgiac" 
				  PROMPT 2 2 " Totale"
				END
				STRINGA 153 3
				BEGIN
					KEY "UM"
					PROMPT 5 2 ""
					FIELD 49->UM
					MESSAGE COPY,253
				END

				NUMERO 141 12
				BEGIN
					KEY "ACQ"
					PROMPT 6 2 ""
					PICTURE "########,@#"
					MESSAGE ADD,241
					GROUP 1
				END
				NUMERO 142 12
				BEGIN
					KEY "VALACQ"
					PROMPT 7 2 ""
					PICTURE "###.###.##@"
					MESSAGE ADD,242
					GROUP 1 10
				END
				NUMERO 182 12
				BEGIN
					KEY "VALACQ"
					PROMPT 7 2 ""
					PICTURE "#######,@##"
					MESSAGE _NUMEXPR,#142/#141
					GROUP 11
				END

				NUMERO 143 12
				BEGIN
					KEY "ven"
					PROMPT 8 2 ""
					PICTURE "########,@#"
					MESSAGE ADD,243
					GROUP 1
				END
				NUMERO 144 12
				BEGIN
					KEY "VALven"
					PROMPT 9 2 ""
					PICTURE "###.###.##@"
					MESSAGE ADD,244
					GROUP 1 10
				END
				NUMERO 184 12
				BEGIN
					KEY "VALven"
					PROMPT 9 2 ""
					PICTURE "#######,@##"
					MESSAGE _NUMEXPR,#144/#143
					GROUP 11
				END

				NUMERO 145 12
				BEGIN
					KEY "rim"
					PROMPT 10 2 ""
					PICTURE "########,@#"
					MESSAGE ADD,245
					GROUP 1
				END
				NUMERO 146 12
				BEGIN
					KEY "VALrim"
					PROMPT 11 2 ""
					PICTURE "###.###.##@"
					MESSAGE ADD,246 
					GROUP 1 10
				END
				NUMERO 186 12
				BEGIN
					KEY "VALrim"
					PROMPT 11 2 ""
					PICTURE "#######,@##"
					MESSAGE _NUMEXPR,#146/#145
					GROUP 11
				END

				NUMERO 147 12
				BEGIN
					KEY "giac"
					PROMPT 12 2 ""
					PICTURE "########,@#"
					MESSAGE ADD,247
					GROUP 1
				END
			END
		END // LOOP LIVELLI DI GIACENZA
		SECTION TOTALI_ARTICOLO 1 1 1 GROUP

			STRINGA 250 21 1
			BEGIN
				PROMPT 3 1 ""
			END
			STRINGA 251 21 1
			BEGIN
			  KEY "Livello giac" 
			  PROMPT 2 1 " Articolo "
			END
			STRINGA 253 3
			BEGIN
				KEY "UM"
				PROMPT 5 1 ""
				MESSAGE COPY,353
			END

			NUMERO 241 12
			BEGIN
				KEY "ACQ"
				PROMPT 6 1 ""
				PICTURE "########,@#"
				MESSAGE ADD,341
				GROUP 2
			END
			NUMERO 242 12
			BEGIN
				KEY "VALACQ"
				PROMPT 7 1 ""
				PICTURE "###.###.##@"
				MESSAGE ADD,342
				GROUP 2 10
			END
			NUMERO 282 12
			BEGIN
				KEY "VALACQ"
				PROMPT 7 1 ""
				PICTURE "#######,@##"
				MESSAGE _NUMEXPR,#242/#241
				GROUP 11
			END

			NUMERO 243 12
			BEGIN
				KEY "ven"
				PROMPT 8 1 ""
				PICTURE "########,@#"
				MESSAGE ADD,343
				GROUP 2
			END
			NUMERO 244 12
			BEGIN
				KEY "VALven"
				PROMPT 9 1 ""
				PICTURE "###.###.##@"
				MESSAGE ADD,344
				GROUP 2 10
			END
			NUMERO 284 12
			BEGIN
				KEY "VALven"
				PROMPT 9 1 ""
				PICTURE "#######,@##"
				MESSAGE _NUMEXPR,#244/#243
				GROUP 11
			END

			NUMERO 245 12	
			BEGIN
				KEY "rim"
				PROMPT 10 1 ""
				PICTURE "########,@#"
				MESSAGE ADD,345
				GROUP 2
			END
			NUMERO 246 12
			BEGIN
				KEY "VALrim"
				PROMPT 11 1 ""
				PICTURE "###.###.##@"
				MESSAGE ADD,346
				GROUP 2 10	
			END
			NUMERO 286 12
			BEGIN
				KEY "VALrim"
				PROMPT 11 1 ""
				PICTURE "#######,@##"
				MESSAGE _NUMEXPR,#246/#245
				GROUP 11
			END

			NUMERO 247 12
			BEGIN
				KEY "giac"
				PROMPT 12 1 ""
				PICTURE "########,@#"
				MESSAGE ADD,347
				GROUP 2
			END
		END // SECTION TOTALI

	END // LOOP GIAC 

	SECTION TOTALI_DEPOSITO 1 3 3 GROUP
		STRINGA 777 
		BEGIN
			KEY "giac"
					PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
		END
		STRINGA 350 30 2
		BEGIN
		  KEY "" 
		  PROMPT 3 2 ""
		END
		STRINGA 351 12 2
		BEGIN
		  KEY "" 
		  PROMPT 2 2 " Totale dep."
		END
		STRINGA 353 3
		BEGIN
			KEY "UM"
			PROMPT 5 2 ""
			MESSAGE COPY,453
		END
		NUMERO 341 12
		BEGIN
			KEY "ACQ"
			PROMPT 6 2 ""
			PICTURE "########,@#"
			MESSAGE ADD,441
			GROUP 3
		END
		NUMERO 342 12
		BEGIN
			KEY "VALACQ"
			PROMPT 7 2 ""
			PICTURE "###.###.##@"
			MESSAGE ADD,442
			GROUP 3 10
		END
		NUMERO 382 12
		BEGIN
			KEY "VALACQ"
			PROMPT 7 2 ""
			PICTURE "#######,@##"
			MESSAGE _NUMEXPR,#342/#341
			GROUP 11
		END

		NUMERO 343 12
		BEGIN
			KEY "ven"
			PROMPT 8 2 ""
			PICTURE "########,@#"
			MESSAGE ADD,443
			GROUP 3
		END
		NUMERO 344 12
		BEGIN
			KEY "VALven"
			PROMPT 9 2 ""
			PICTURE "###.###.##@"
			MESSAGE ADD,444
			GROUP 3 10
		END
		NUMERO 384 12
		BEGIN
			KEY "VALven"
			PROMPT 9 2 ""
			PICTURE "#######,@##"
			MESSAGE _NUMEXPR,#344/#343
			GROUP 11
		END

		NUMERO 345 12
		BEGIN
			KEY "rim"
			PROMPT 10 2 ""
			PICTURE "########,@#"
			MESSAGE ADD,445
			GROUP 3
		END
		NUMERO 346 12
		BEGIN
			KEY "VALrim"
			PROMPT 11 2 ""
			PICTURE "###.###.##@"
			MESSAGE ADD,446
			GROUP 3 10
		END
		NUMERO 386 12
		BEGIN
			KEY "VALrim"
			PROMPT 11 2 ""
			PICTURE "#######,@##"
			MESSAGE _NUMEXPR,#346/#345
			GROUP 11
		END

		NUMERO 347 12
		BEGIN
			KEY "giac"
			PROMPT 12 2 ""
			PICTURE "########,@#"
			MESSAGE ADD,447
			GROUP 3
		END
	END // SECTION TOTALI

 END // loop ragg codice o catmerc
 SECTION TOTALI_MAGAZZINO 1 3 3 GROUP
		STRINGA 777 
		BEGIN
			KEY ""
					PROMPT 6 1 "----------------------------------------------------------------------------------------------------"
		END
		STRINGA 451 20 2
		BEGIN
		  KEY "" 
		  PROMPT 2 2 " TOTALE MAG."
		END
		STRINGA 450 22 2
		BEGIN
		  KEY "" 
		  PROMPT 3 2 ""
		END
		STRINGA 453 3
		BEGIN
			KEY "UM"
			PROMPT 5 2 ""
		END
		NUMERO 441 12
		BEGIN
			KEY "ACQ"
			PROMPT 6 2 ""
			PICTURE "########,@#"
			GROUP 4
		END
		NUMERO 442 12
		BEGIN
			KEY "VALACQ"
			PROMPT 7 2 ""
			PICTURE "###.###.##@"
			GROUP 4 10
		END
		NUMERO 482 12
		BEGIN
			KEY "VALACQ"
			PROMPT 7 2 ""
			PICTURE "#######,@##"
			MESSAGE _NUMEXPR,#442/#441
			GROUP 11
		END

		NUMERO 443 12
		BEGIN
			KEY "ven"
			PROMPT 8 2 ""
			PICTURE "########,@#"
			GROUP 4
		END
		NUMERO 444 12
		BEGIN
			KEY "VALven"
			PROMPT 9 2 ""
			PICTURE "###.###.##@"
			GROUP 4 10
		END
		NUMERO 484 12
		BEGIN
			KEY "VALVEN medio"
			PROMPT 9 2 ""
			PICTURE "#######,@##"
			MESSAGE _NUMEXPR,#444/#443
			GROUP 11
		END

		NUMERO 445 12
		BEGIN
			KEY "rim"
			PROMPT 10 2 ""
			PICTURE "########,@#"
			GROUP 4
		END
		NUMERO 446 12
		BEGIN
			KEY "VALrim"
			PROMPT 11 2 ""
			PICTURE "###.###.##@"
			GROUP 4 10
		END
		NUMERO 486 12
		BEGIN
			KEY "VALrim medio"
			PROMPT 11 2 ""
			PICTURE "#######,@##"
			MESSAGE _NUMEXPR,#446/#445
			GROUP 11
		END

		NUMERO 447 12
		BEGIN
			KEY "giac"
			PROMPT 12 2 ""
			PICTURE "########,@#"
			GROUP 4
		END
	END // SECTION TOTALI
END // section body, loop anamag

SECTION FOOTER ODD 2
	STRINGA 100
	BEGIN
		KEY "NUMP"
		PROMPT 50 1 "--------------"
	END

	NUMERO 101
	BEGIN
		KEY "NUMPAGE"
		PROMPT 50 2 ""
		MESSAGE _PAGENO
		PICTURE "-###-"
	END

END // fine footer
END// fine form

